#include <stdio.h>
#include <stdlib.h>
void main()
{
    long long int N, L;
    scanf("%lld%lld", &N, &L);
    long long int s[N];
    long long int par=-1;
    int par2=0;
    for(int i=0; i<N; i++){
        scanf("%d", &s[i]);
        if(s[i]<=L && par2==0){
            par=i+1;
            par2=1;
        }
    }
    printf("%lld", par);
}